[arch-commits] Commit in xf86-input-vmmouse/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Aug 31 10:17:15 EDT 2008


    Date: Sunday, August 31, 2008 @ 10:17:15
  Author: jgc
Revision: 11236

upgpkg: xf86-input-vmmouse 12.5.1-1

Modified:
  xf86-input-vmmouse/trunk/PKGBUILD

----------+
 PKGBUILD |   12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-31 14:17:05 UTC (rev 11235)
+++ PKGBUILD	2008-08-31 14:17:15 UTC (rev 11236)
@@ -2,22 +2,24 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xf86-input-vmmouse
-pkgver=12.4.3
+pkgver=12.5.1
 pkgrel=1
 pkgdesc="X.org VMWare Mouse input driver"
 arch=(i686 x86_64)
+license=('custom')
 url="http://xorg.freedesktop.org/"
 depends=('glibc')
-makedepends=('pkgconfig' 'xorg-server>=1.4')
+makedepends=('pkgconfig' 'xorg-server>=1.4.99.906')
 groups=('xorg-input-drivers')
 options=('!libtool')
 source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('1e2feafb8e4f1b670aeb39bcac9fbb18')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr \
-              --build=${CHOST} --host=${CHOST}
+  ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
-md5sums=('44730af795616ed4d4a0cd9a3a07935d')




More information about the arch-commits mailing list